j' ai donc commencé un peu a farfouiller, pour découper ma surface, j'ai une ligne sur laquelle je place point et plan perpendiculaire. On peut le faire a la main sur catia, en utilisant point sur une courbe, en cochant l'option répété l'opération apres ok, ce qui nous amene a un menu ou l'on peut choisir le nombre de point qu'on souhaite placer. Probleme, lorsqu'on utilise enregistrement de macro, celle ci n'enregistre apparemment que la création d'un point, et pas la répétition j'ai donc tenté de faire une macro a partir de mon enregistrement, et d'une itération, en faisant varier la position du point via le "n" de l'itération. Bien sur pour une premiere tentative de macro, cela ne marche pas.., si quelq'un a une idéee, merci par avance Language="VBSCRIPT" Sub CATMain() for n=1 to n=10 step 1 Set partDocument1 = CATIA.ActiveDocument Set part1 = partDocument1.Part Set bodies1 = part1.Bodies Set body1 = bodies1.Item("Corps principal") Set hybridShapes1 = body1.HybridShapes Set hybridShapeExtract1 = hybridShapes1.Item("LIGNE DECOUPE") Set reference1 = part1.CreateReferenceFromObject(hybridShapeExtract1) Set hybridShapeFactory1 = part1.HybridShapeFactory Set hybridShapePointOnCurve1 = hybridShapeFactory1.AddNewPointOnCurveFromPercent(reference1, 1/n, False) body1.InsertHybridShape hybridShapePointOnCurve1 part1.InWorkObject = hybridShapePointOnCurve1 part1.Update next End Sub